# norootforbuild

BuildRequires: python-devel
BuildRequires: bzr >= 1.0
Name:          bzr-gtk
Summary:       abc 123
Version:       0.95.0
Release:       2.2
License:       GPL
Source0:       %{name}-%{version}.tar.bz2
Group:         Asdfb
URL:           http://bazaar-vcs.org/bzr-gtk
BuildRoot:     %{_tmppath}/%{name}-%{version}-build
Autoreqprov:   on
Requires:      bzr >= 1.6
%if 0%{?suse_version}
BuildRequires: python-gtk
Requires:      python-gtk
%else
BuildRequires: pygtk2
Requires:      pygtk2
%endif

%description
Insert description here - normally taken from the README.

%debug_package
%prep
%setup 

%build
python setup.py build

%install
%if 0%{?suse_version}
%define __record_arg  --record-rpm
%else
%define __record_arg --record
%endif
python setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT %__record_arg %{name}.files

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-, root, root)
%doc AUTHORS HACKING NEWS README TODO

%changelog
* Mon Aug 25 2008 maw@suse.de
- Update to version 0.95.0:
  + UI:
  * Added Refresh menu option with F5 keyboard shortcut
  * Show progress bars in bzr viz window
  * Added menu option for indexing branches if bzr-search is
    present
  * Add "Send Merge Directive" button in bzr viz
  * Remove dummy "Edit->Find" option
  * Added an optional diff panel to bzr vis
  * Made bzr vis remember whether the toolbar is visible
  * Made bzr vis remember window and panel sizes
  * Sort Olive bookmarks by title
  * Add controls to wrap long lines in gdiff and diff in
    visualise
  * Made merge dialog to give choice between folder and custom
    location
  * Add new dialog to browse looms and switch to threads in
    loom branches
  * Show status for folders in Olive file list
  * Change appearance Olive bookmarks
  * Add ability to have dialog popup from Olive location
    bar
  + Bug fixes:
  * Replace _() calls by _i18n() calls (lp#187283)
  * Fixed adding tags (lp#228709)
  * Fix history mode button (lp#144962)
  * Fixed handle-patch script
  * Fix import in olive (lp#223935)
  * Avoid use of removed smart_add (lp#244025 and lp#244027)
  * Remove use of upstream removed Repository.revision_parents()
  * List network drives in Olive (lp#244308)
  * Fix progress bar handling
  * Fix broken symlink handling
  * Fix import in Olive rename dialog
  * Removed some redundant screen redrawing in bzr vis
  * Fixed overflowing labels in bzr vis
  * Fix plugin description in gpreferences (lp#232191)
  * Remove question for setting default push location
    (lp#151818)
  * Automatically change to history mode on selecting a
    revision from the list (lp#144963)
  * Check if file is versioned before opening gannotate window
    from olive (lp#115358)
  * Make sure error/info/warning dialogs know their
    parent window (lp#252208)
  * Handle unreadable .bzr subfolder in Olive (lp#229044)
  + Changes:
  * Moved notify icon code to separate script
  * Verify testaments when showing signatures on revisions and
    re-enable signature display
  * Show credits for bzr-gtk in the about dialog
  * Add gmerge command line option (lp#124760)
  + Internals:
  * All i18n calls should now go through _i18n which must be
    imported from bzrlib.plugins.gtk; this addresses the
    occasional collisions with '_' used as an anonymous
    variable
  * Add test for linegraph code
  * Remove obsolete tortoisebzr tests
  * Share revision context menu and main revision menu in
    bzr viz
  * Remove glade from merge dialog
  * Remove glade from olive about, rename, remove, move, mkdir,
    add dialogs
  * Remove glade from olive main window
  * Remove glade from olive info dialog
  * Rewrite Olive mouse button event handling
* Sun May 18 2008 maw@suse.de
- Update to version 0.94.0:
  + Changes:
  * Disable signature tab until we start verifying testaments
  * Removed tortoise-bzr, which now has its own project
    (http://launchpad.net/tortoisebzr)
  * Use new D-Bus revision signal
  + Bugfixes:
  * Make adding tags from the viz work again
  * Catch UnsupportedProtocol exception in the Nautilus
    extension
  * Make Nautilus extension work again
  * Make viz not throw errors when there are 0 commits
  * Fixed underscores in tags being interpreted as mnemonics in
    the viz
  * Fixed change view menu in viz
  * Fix display of children in branchview
  + UI:
  * Made the tags associated with a revision render next to the
    revision node in the branch view
  * Made the tag list in the revision view be comma-separated
  * Add bugs tab in the branch view
  * New Tango-styled icons; this time properly licensed under
    the GPL
  * Support showing multiple branches in "bzr viz"
  * Added new icons for nautilus overlay
  * Added enable/disable per-branch option
  * Add compare with option to revisions menu
  * Register file handler for applying patches/bundles to
    Bazaar branches
  + Features:
  * Only check for old Bazaar versions that are known to be
    incompatible and no longer warn about newer (unknown)
    versions of Bazaar, on the assumption the API is
    sufficiently stable now
  * Support child_submit_to setting in gsend
  * Add tab to revision view showing the signature status
  * Use seahorse to verify signatures
  + Internals:
  * Refactored the revisionview
  * It is now possible to use the diff view as a widget
  * Preferences dialog has been split up.
* Wed Apr  9 2008 maw@suse.de
- Build on RHEL5 and similar distros
- Simplify file list.
* Tue Jan 15 2008 maw@suse.de
- Require at least bzr 1.0.
* Mon Dec 10 2007 maw@suse.de
- Update to version 0.93.0:
  + UI:
  * Added a menu bar to the viz
    > Select a revision by tag
    > Show/hide tree view columns.
  + Bug fixes
  * Make toolbars in Olive follow GNOME standards
  + Internals
  * Allow test suite to run without PyGTK
* Thu Nov 29 2007 maw@suse.de
- Update to r411.
* Mon Nov  5 2007 maw@suse.de
- Require bzr greater than 0.91, not greater than or equal to.
* Mon Nov  5 2007 maw@suse.de
- Don't require the -lang subpackage, as it doesn't exist.
* Fri Oct 26 2007 maw@suse.de
- Change version to 0.91.dev.0.r322
* Thu Oct 25 2007 maw@suse.de
- Remove mentions of gconf.
* Thu Oct 25 2007 maw@suse.de
- Initial package.
